import { DocumentEventListener, MessageEventListener } from './EventListeners';

export class BrowserEventListener {
    public addDOMContentLoadListener(listener: DocumentEventListener): void {
        document.addEventListener('DOMContentLoaded', listener);
    }

    public addIframeMessageListener(listener: MessageEventListener): void {
        window.addEventListener('message', listener);
        this.removeEventListenerWhenUnloaded('message', listener);
    }

    private removeEventListenerWhenUnloaded(type: string, eventListener: any): void {
        window.addEventListener('unload', () => {
            window.removeEventListener(type, eventListener);
        });
    }
}