export class EnvironmentReader {
    public async getServiceId(): Promise<string> {
        const garamService = (window as any).garamService;
        if (garamService.serviceId) {
            return garamService.serviceId;
        }

        let siteDomain;

        if (garamService.shopifyDomain) {
            siteDomain = garamService.shopifyDomain;
        }

        if (garamService.siteDomain) {
            siteDomain = garamService.siteDomain;
        }

        return (await (await fetch(`https://apiv2.garam.io/service?siteDomain=${siteDomain}`)).json())['id']
    }

    public isMobile(): boolean {
        return /Mobi|Android/i.test(navigator.userAgent);
    }
}