import { EnvironmentReader } from './environment/EnvironmentReader';
import { BrowserEventListener } from './browser/BrowserEventListener';
import { ElementTransformer } from './dom/ElementTransformer';

export class ClientFactory {
    private constructor() {}

    public static createEnvironmentReader(): EnvironmentReader {
        return new EnvironmentReader();
    }

    public static createBrowserEventListener(): BrowserEventListener {
        return new BrowserEventListener();
    }

    public static createElementTransformer(): ElementTransformer {
        return new ElementTransformer();
    }
}